Page MenuHomePhabricator

Aborted mediawiki.api requests are logged as errors ("mw.Api error: " "http" {xhr: Object, textStatus: "abort", exception: "abort"})
Closed, ResolvedPublic

Description

I'm getting a lot of warnings like this
"mw.Api error: " "http" {xhr: Object, textStatus: "abort", exception: "abort"}
in the console. I believe it comes from this line:
mw.popups.render.currentRequest.abort();
of ext.popups.renderer.js.


Version: 1.24rc
Severity: normal

Details

Reference
bz65442

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:20 AM
bzimport set Reference to bz65442.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.May 17 2014, 9:54 PM

This is just debugging information to let you know a request was aborted. This is generally a good thing (e.g. if a request is no longer needed because of new information and the firing of a new request, the previous one should be aborted for efficiency).

Because the information was next to useless, it was removed from mediawiki.api.js in I7797c833745b4. The aborting still happens though, as it should.

If this bug is only about that message and under the assumption it is bad and needs to be dealt with, then this bug should be closed as invalid.

Helder, are these being generated on links that shouldn't have Hovercards to begin with. If no, lets mark this invalid. If yes, are such links documented on some other bug? If yes, let close this. If not, could you please share more details?

I'm not seeing these anymore.

But I do find one more link which should probably not have Popups: the cancel link below the editbox.

Is it alright to ignore the ".oo-ui-buttonedElement-button" class to resolve the Cancel button issue or some other approach needs to be taken for it?

Change 137269 had a related patch set uploaded by Prtksxna:
core: Ignore '.oo-ui-buttonedElement-button' links

https://gerrit.wikimedia.org/r/137269

He7d3r added a comment.Aug 1 2014, 3:40 PM

For some reason the code variable used in this test
https://gerrit.wikimedia.org/r/#/c/132004/1/resources/src/mediawiki.api/mediawiki.api.js,unified
does not contains 'abort' (anymore?). Its value is 'http' and the 'abort' is actually on details.exception and details.textStatus.

These logs causes a lot of undesirable noise while debugging other things in a page with many links (such as the Watchlist).

Change 137269 merged by jenkins-bot:
core: Ignore '.oo-ui-buttonedElement-button' links

https://gerrit.wikimedia.org/r/137269

Possibly due to jQuery upgrade?

Change 157350 had a related patch set uploaded by Bartosz Dziewoński:
mediawiki.api: Actually don't log request error 'abort'

https://gerrit.wikimedia.org/r/157350

Change 157350 merged by jenkins-bot:
mediawiki.api: Actually don't log request error 'abort'

https://gerrit.wikimedia.org/r/157350